.pagination {
    display: flex;
    margin-top: rem(15);
    align-items: center;

    &__item {

        &:first-child {
            margin-right: rem(8);
        }

        &:last-child {
            margin-left: rem(8);
        }
    }

    &__link {
        color: $black;
        stroke: $black;
        width: rem(40);
        height: rem(40);
        cursor: pointer;
        padding-top: rem(5);
        font-size: rem(16);
        line-height: rem(20);
        border-radius: 50%;
        text-align: center;
        white-space: nowrap;
        text-decoration: none;
        display: flex;
        align-items: center;
        justify-content: center;

        i {
            font-size: 0;
            line-height: 0;
            height: rem(24);
            display: inline-block;
            flex-shrink: 0;
        }

        &:hover {
            color: $blue;
            text-decoration: none;
        }

        &.active {
            color: $white;
            cursor: default;
            background: linear-gradient(97.57deg, #358CFF 0%, #006DFF 100%);

            &:hover {
                color: $white;
            }
        }

        &--arrow {
            padding-top: 0;
            border: 1px solid rgba(0, 0, 0, 0.1);

            &:hover {
                stroke: $blue;
                border-color: $blue;
            }
        }
    }

    @include media-breakpoint-up(xl) {
        margin-top: rem(20);
        display: flex;
    }
}
